GAME_DIR="/Users/catbeta/Documents/game/.game"
SAVE_DIR="/Users/catbeta/Documents/game/llm-colosseum/results"
MODEL_NAME="gpt-4o-vision"
SCRIPT="script.py"

# delay 参数列表
delays=(1.0 0.5 0.3 0.2 0.1 0.05 0.0)

# 主循环
for delay in "${delays[@]}"; do
    for i in {1..20}; do
        OUTPUT_FILE="${SAVE_DIR}/${MODEL_NAME}/result${i}_${delay}.txt"
        diambra -r "$GAME_DIR" run -l python3 "$SCRIPT" --vision --delay "$delay" > "$OUTPUT_FILE"
    done
done



diambra -r "/home/kanghao/.game" run -l python3 script.py